Bug 1416138 - Encryption provider compatibility issue
Summary: Encryption provider compatibility issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-os-brick
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: beta
: 11.0 (Ocata)
Assignee: Eric Harney
QA Contact: Tzach Shefi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 16:44 UTC by Eric Harney
Modified: 2017-05-17 19:42 UTC (History)
8 users (show)

Fixed In Version: python-os-brick-1.11.0-1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:42:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
RDO 4506 None None None 2017-01-30 16:27:37 UTC
OpenStack gerrit 424324 None None None 2017-01-24 16:46:51 UTC
Launchpad 1658755 None None None 2017-01-24 16:44:54 UTC

Description Eric Harney 2017-01-24 16:44:54 UTC
python-os-brick-1.10.0-0.20170120195057.1a9b90b.el7ost is known to contain an upgrade incompatibility where configurations using a "nova.volume.encryptors.luks.LuksEncryptor" encryption provider in the Cinder volume type will fail to create encrypted volumes.

This is fixed by:
https://review.openstack.org/#/c/424324/

We need to ensure this fix is included in OSP11.

Comment 5 Tzach Shefi 2017-03-30 13:43:04 UTC
Verified via automation
Date core_puddle: 2017-03-29.2 

Create attach and detach an encrypted volume of type  
nova.volume.encryptors.luks.LuksEncryptor

Comment 8 errata-xmlrpc 2017-05-17 19:42:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.